Bug 149464 - CoS and testNg
CoS and testNg
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: TestNG
6.x
All All
: P3 (vote)
: 7.2
Assigned To: Lukas Jungmann
Lukas Jungmann
:
Depends on:
Blocks: 210293
  Show dependency treegraph
 
Reported: 2008-10-08 09:16 UTC by Milos Kleint
Modified: 2012-04-20 10:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2008-10-08 09:16:53 UTC
Currently CoS and JavaRunner only support junit execution.
In Maven projects, projects would typically have either junit or testng setup for execution. Currently (in post-6.5) I
have to disable CoS for projects that have tests executed by testng.
Please add a testng-based JavaRunner configuration.
Comment 1 Lukas Jungmann 2008-10-14 12:47:36 UTC
let me check if there's something I can do in testng modules
Comment 2 Marian Petras 2008-11-26 14:21:40 UTC
Reassigned to component "contrib".
Comment 3 Lukas Jungmann 2008-11-26 15:00:02 UTC
=> testng
Comment 5 Quality Engineering 2012-04-20 10:11:06 UTC
Integrated into 'main-golden', will be available in build *201204200400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6c6d8369b4eb
User: Lukas Jungmann <jungi@netbeans.org>
Log: BZ#149464, BZ#210293 - CoS for TestNG


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo